Activity log for bug #1314764

Date Who What changed Old value New value Message
2014-04-30 18:39:12 Tony Vroon bug added bug
2014-04-30 18:55:55 Launchpad Janitor linux-lts-saucy (Ubuntu): status New Confirmed
2014-04-30 18:57:49 Marcus Taylor bug added subscriber Marcus Taylor
2014-05-01 07:59:55 Eos bug added subscriber Craig
2014-05-01 08:03:32 Eos removed subscriber Craig
2014-05-01 08:03:36 Eos bug added subscriber Craig
2014-05-01 08:35:31 Andy Whitcroft nominated for series Ubuntu Trusty
2014-05-01 08:35:31 Andy Whitcroft bug task added linux-lts-saucy (Ubuntu Trusty)
2014-05-01 08:43:00 Launchpad Janitor linux-lts-saucy (Ubuntu Trusty): status New Confirmed
2014-05-01 09:04:44 Josh.Wright bug added subscriber Josh.Wright
2014-05-01 09:47:10 Andy Whitcroft affects linux-lts-saucy (Ubuntu) initramfs-tools (Ubuntu)
2014-05-01 09:47:10 Andy Whitcroft initramfs-tools (Ubuntu): status Confirmed In Progress
2014-05-01 09:47:10 Andy Whitcroft initramfs-tools (Ubuntu): assignee Andy Whitcroft (apw)
2014-05-01 09:47:26 Andy Whitcroft initramfs-tools (Ubuntu Trusty): importance Undecided Medium
2014-05-01 09:47:34 Andy Whitcroft initramfs-tools (Ubuntu Trusty): assignee Andy Whitcroft (apw)
2014-05-01 09:47:38 Andy Whitcroft initramfs-tools (Ubuntu): status In Progress Confirmed
2014-05-01 09:47:43 Andy Whitcroft initramfs-tools (Ubuntu Trusty): status Confirmed In Progress
2014-05-02 15:12:09 Andy Whitcroft initramfs-tools (Ubuntu): status Confirmed In Progress
2014-05-02 15:12:12 Andy Whitcroft initramfs-tools (Ubuntu): importance Undecided Medium
2014-05-02 15:22:32 Andy Whitcroft initramfs-tools (Ubuntu): status In Progress Fix Committed
2014-05-02 15:50:05 Launchpad Janitor initramfs-tools (Ubuntu): status Fix Committed Fix Released
2014-05-02 16:37:11 Andy Whitcroft description The built-in keyboard & touchpad on these machines are fully PS/2 based. At first glance, building i8042 into the kernel proper seems sufficient: [ 2.264540] i8042: PNP: PS/2 Controller [PNP0303:KBC,PNP0f13:PS2M] at 0x60,0x64 irq 1,12 [ 2.274233] i8042: Detected active multiplexing controller, rev 1.1 [ 2.279284] serio: i8042 KBD port at 0x60,0x64 irq 1 [ 2.280742] serio: i8042 AUX0 port at 0x60,0x64 irq 12 [ 2.282212] serio: i8042 AUX1 port at 0x60,0x64 irq 12 [ 2.283683] serio: i8042 AUX2 port at 0x60,0x64 irq 12 [ 2.285121] serio: i8042 AUX3 port at 0x60,0x64 irq 12 However, psmouse needs to be built into the initrd to get the keyboard to start working. This is because it sits behind the touchpad on a port that will not work until initialised: [ 4.339219] psmouse serio2: synaptics: Touchpad model: 1, fw: 8.1, id: 0x1e2b1, caps: 0xd001a3/0x940300/0x126800, board id: 2720, fw id: 1450125 [ 4.339233] psmouse serio2: synaptics: serio: Synaptics pass-through port at isa0060/serio2/input0 This: CONFIG_SERIO_I8042=y Should really be accompanied by: CONFIG_MOUSE_PS2_SYNAPTICS=y Having the Synaptics support as a module leaves these laptops on an LVM2/DM-crypt password prompt with a non-working keyboard. Users can work around it by connecting a USB keyboard to "jump start" the machine, or add psmouse to /etc/initramfs-tools/modules . Without disk encryption, the root filesystem will be available in time and the Synaptics driver will initialise the keyboard well before the X login chooser appears. [Impact] When installing encrypted root on these machine the user ends up unable to unlock their root. This will happen on first boot after an install with such a root. The user is unable to unlock their machine without an external keyboard; and is likley to not have access to the internet to find the work around. [Test Case] Install on such a machine and confirm that you cannot unlock, install the updated packages and confirm you can. [Regression Potential] The fix only adds the psmouse kernel module to the default initramfs build which is relativly benign and should be loaded in the normal case from the root filesystem. The risk seems very low. === The built-in keyboard & touchpad on these machines are fully PS/2 based. At first glance, building i8042 into the kernel proper seems sufficient: [ 2.264540] i8042: PNP: PS/2 Controller [PNP0303:KBC,PNP0f13:PS2M] at 0x60,0x64 irq 1,12 [ 2.274233] i8042: Detected active multiplexing controller, rev 1.1 [ 2.279284] serio: i8042 KBD port at 0x60,0x64 irq 1 [ 2.280742] serio: i8042 AUX0 port at 0x60,0x64 irq 12 [ 2.282212] serio: i8042 AUX1 port at 0x60,0x64 irq 12 [ 2.283683] serio: i8042 AUX2 port at 0x60,0x64 irq 12 [ 2.285121] serio: i8042 AUX3 port at 0x60,0x64 irq 12 However, psmouse needs to be built into the initrd to get the keyboard to start working. This is because it sits behind the touchpad on a port that will not work until initialised: [ 4.339219] psmouse serio2: synaptics: Touchpad model: 1, fw: 8.1, id: 0x1e2b1, caps: 0xd001a3/0x940300/0x126800, board id: 2720, fw id: 1450125 [ 4.339233] psmouse serio2: synaptics: serio: Synaptics pass-through port at isa0060/serio2/input0 This: CONFIG_SERIO_I8042=y Should really be accompanied by: CONFIG_MOUSE_PS2_SYNAPTICS=y Having the Synaptics support as a module leaves these laptops on an LVM2/DM-crypt password prompt with a non-working keyboard. Users can work around it by connecting a USB keyboard to "jump start" the machine, or add psmouse to /etc/initramfs-tools/modules . Without disk encryption, the root filesystem will be available in time and the Synaptics driver will initialise the keyboard well before the X login chooser appears.
2014-05-02 16:37:16 Andy Whitcroft initramfs-tools (Ubuntu Trusty): status In Progress Fix Committed
2014-05-02 16:37:29 Andy Whitcroft bug added subscriber Ubuntu Stable Release Updates Team
2014-05-05 17:08:48 Chris J Arges bug added subscriber SRU Verification
2014-05-05 17:08:51 Chris J Arges tags verification-needed
2014-05-06 11:47:46 Josh.Wright tags verification-needed verification-done
2014-05-13 02:06:03 Launchpad Janitor initramfs-tools (Ubuntu Trusty): status Fix Committed Fix Released
2014-05-13 02:06:09 Adam Conrad removed subscriber Ubuntu Stable Release Updates Team
2014-05-13 09:10:55 Launchpad Janitor branch linked lp:ubuntu/initramfs-tools
2014-05-13 09:12:38 Launchpad Janitor branch linked lp:~ubuntu-branches/ubuntu/trusty/initramfs-tools/trusty-proposed